viOpenDefaultRM(3visa)

NAME
viOpenDefaultRM - Create and return a handle to the default VISA resource manager

SYNOPSIS
#include <visa.h>

ViStatus viOpenDefaultRM(ViSession *resource_manager);

DESCRIPTION
This function creates a new handle referencing the default VISA resource manager, and stores it at the address given by the resource_manager parameter. This handle can then be used to find and open instruments or instrument buses. This is typically the first function invoked by client applications.

When the handle is no longer needed, it should be closed using the viClose() function.

RETURN VALUE
On success, VI_SUCCESS is returned, and the new handle is stored at the given address.

On failure, an error code is returned, and the new handle initialized to VI_NULL.

SEE ALSO
viClose(3visa), viFindRsrc(3visa), viOpen(3visa), visa(7visa)